DateGroovyMethods (Groovy 3.0.9)

Package org.codehaus.groovy.runtime

## Class DateGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
  - - org.codehaus.groovy.runtime.DateGroovyMethods

-     @Deprecated
      public class DateGroovyMethods
      extends DefaultGroovyMethodsSupport

  Deprecated.
  use DateUtilExtensions instead

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateGroovyMethods()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Date` | `clearTime​(Date self)` | Deprecated.
    `static Calendar` | `clearTime​(Calendar self)` | Deprecated.
    `static Date` | `clearTime​(Date self)` | Deprecated.
    `static Calendar` | `copyWith​(Calendar self, Map<Object,​Integer> updates)` | Deprecated.
    `static Date` | `copyWith​(Date self, Map<Object,​Integer> updates)` | Deprecated.
    `static void` | `downto​(Calendar self, Calendar to, Closure closure)` | Deprecated.
    `static void` | `downto​(Date self, Date to, Closure closure)` | Deprecated.
    `static String` | `format​(Calendar self, String pattern)` | Deprecated.
    `static String` | `format​(Date self, String format)` | Deprecated.
    `static String` | `format​(Date self, String format, TimeZone tz)` | Deprecated.
    `static int` | `getAt​(Calendar self, int field)` | Deprecated.
    `static int` | `getAt​(Date self, int field)` | Deprecated.
    `static String` | `getDateString​(Date self)` | Deprecated.
    `static String` | `getDateTimeString​(Date self)` | Deprecated.
    `static String` | `getTimeString​(Date self)` | Deprecated.
    `static Date` | `minus​(Date self, int days)` | Deprecated.
    `static Timestamp` | `minus​(Timestamp self, int days)` | Deprecated.
    `static int` | `minus​(Calendar self, Calendar then)` | Deprecated.
    `static Date` | `minus​(Date self, int days)` | Deprecated.
    `static int` | `minus​(Date self, Date then)` | Deprecated.
    `static Date` | `next​(Date self)` | Deprecated.
    `static Calendar` | `next​(Calendar self)` | Deprecated.
    `static Date` | `next​(Date self)` | Deprecated.
    `static Date` | `plus​(Date self, int days)` | Deprecated.
    `static Timestamp` | `plus​(Timestamp self, int days)` | Deprecated.
    `static Date` | `plus​(Date self, int days)` | Deprecated.
    `static Date` | `previous​(Date self)` | Deprecated.
    `static Calendar` | `previous​(Calendar self)` | Deprecated.
    `static Date` | `previous​(Date self)` | Deprecated.
    `static void` | `putAt​(Calendar self, int field, int value)` | Deprecated.
    `static void` | `putAt​(Date self, int field, int value)` | Deprecated.
    `static void` | `set​(Calendar self, Map<Object,​Integer> updates)` | Deprecated.
    `static void` | `set​(Date self, Map<Object,​Integer> updates)` | Deprecated.
    `static Calendar` | `toCalendar​(Date self)` | Deprecated.
    `static Calendar` | `updated​(Calendar self, Map<Object,​Integer> updates)` | Deprecated.
    `static Date` | `updated​(Date self, Map<Object,​Integer> updates)` | Deprecated.
    `static void` | `upto​(Calendar self, Calendar to, Closure closure)` | Deprecated.
    `static void` | `upto​(Date self, Date to, Closure closure)` | Deprecated.

    - ### Methods inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

      `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateGroovyMethods

          public DateGroovyMethods()

      Deprecated.

  - ### Method Detail

    - #### getAt

          @Deprecated
          public static int getAt​(Date self,
                                  int field)

      Deprecated.

    - #### toCalendar

          @Deprecated
          public static Calendar toCalendar​(Date self)

      Deprecated.

    - #### getAt

          @Deprecated
          public static int getAt​(Calendar self,
                                  int field)

      Deprecated.

    - #### putAt

          @Deprecated
          public static void putAt​(Calendar self,
                                   int field,
                                   int value)

      Deprecated.

    - #### putAt

          @Deprecated
          public static void putAt​(Date self,
                                   int field,
                                   int value)

      Deprecated.

    - #### set

          @Deprecated
          public static void set​(Calendar self,
                                 Map<Object,​Integer> updates)

      Deprecated.

    - #### updated

          @Deprecated
          public static Calendar updated​(Calendar self,
                                         Map<Object,​Integer> updates)

      Deprecated.

    - #### copyWith

          @Deprecated
          public static Calendar copyWith​(Calendar self,
                                          Map<Object,​Integer> updates)

      Deprecated.

    - #### set

          @Deprecated
          public static void set​(Date self,
                                 Map<Object,​Integer> updates)

      Deprecated.

    - #### updated

          @Deprecated
          public static Date updated​(Date self,
                                     Map<Object,​Integer> updates)

      Deprecated.

    - #### copyWith

          @Deprecated
          public static Date copyWith​(Date self,
                                      Map<Object,​Integer> updates)

      Deprecated.

    - #### next

          @Deprecated
          public static Date next​(Date self)

      Deprecated.

    - #### next

          @Deprecated
          public static Calendar next​(Calendar self)

      Deprecated.

    - #### previous

          @Deprecated
          public static Calendar previous​(Calendar self)

      Deprecated.

    - #### next

          @Deprecated
          public static Date next​(Date self)

      Deprecated.

    - #### previous

          @Deprecated
          public static Date previous​(Date self)

      Deprecated.

    - #### previous

          @Deprecated
          public static Date previous​(Date self)

      Deprecated.

    - #### plus

          @Deprecated
          public static Date plus​(Date self,
                                  int days)

      Deprecated.

    - #### plus

          @Deprecated
          public static Date plus​(Date self,
                                  int days)

      Deprecated.

    - #### plus

          @Deprecated
          public static Timestamp plus​(Timestamp self,
                                       int days)

      Deprecated.

    - #### minus

          @Deprecated
          public static Date minus​(Date self,
                                   int days)

      Deprecated.

    - #### minus

          @Deprecated
          public static Date minus​(Date self,
                                   int days)

      Deprecated.

    - #### minus

          @Deprecated
          public static Timestamp minus​(Timestamp self,
                                        int days)

      Deprecated.

    - #### minus

          @Deprecated
          public static int minus​(Calendar self,
                                  Calendar then)

      Deprecated.

    - #### minus

          @Deprecated
          public static int minus​(Date self,
                                  Date then)

      Deprecated.

    - #### format

          @Deprecated
          public static String format​(Date self,
                                      String format)

      Deprecated.

    - #### format

          @Deprecated
          public static String format​(Date self,
                                      String format,
                                      TimeZone tz)

      Deprecated.

    - #### getDateString

          @Deprecated
          public static String getDateString​(Date self)

      Deprecated.

    - #### getTimeString

          @Deprecated
          public static String getTimeString​(Date self)

      Deprecated.

    - #### getDateTimeString

          @Deprecated
          public static String getDateTimeString​(Date self)

      Deprecated.

    - #### clearTime

          @Deprecated
          public static Date clearTime​(Date self)

      Deprecated.

    - #### clearTime

          @Deprecated
          public static Date clearTime​(Date self)

      Deprecated.

    - #### clearTime

          @Deprecated
          public static Calendar clearTime​(Calendar self)

      Deprecated.

    - #### format

          @Deprecated
          public static String format​(Calendar self,
                                      String pattern)

      Deprecated.

    - #### upto

          @Deprecated
          public static void upto​(Date self,
                                  Date to,
                                  Closure closure)

      Deprecated.

    - #### upto

          @Deprecated
          public static void upto​(Calendar self,
                                  Calendar to,
                                  Closure closure)

      Deprecated.

    - #### downto

          @Deprecated
          public static void downto​(Date self,
                                    Date to,
                                    Closure closure)

      Deprecated.

    - #### downto

          @Deprecated
          public static void downto​(Calendar self,
                                    Calendar to,
                                    Closure closure)

      Deprecated.